Bug 243591 (CVE-2007-3153) - CVE-2007-3152, CVE-2007-3153: c-ares older than 1.4.0 DNS cache poisoning vulnerability
Summary: CVE-2007-3152, CVE-2007-3153: c-ares older than 1.4.0 DNS cache poisoning vul...
Status: CLOSED ERRATA
Alias: CVE-2007-3153
Product: Fedora
Classification: Fedora
Component: c-ares   
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-10 09:44 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1.4.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 01:52:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-06-10 09:44:30 UTC
http://www.vuxml.org/freebsd/70ae62b0-16b0-11dc-b803-0016179b2dd5.html

"The vulnerability is caused due to predictable DNS "Transaction ID" field in
DNS queries and can be exploited to poison the DNS cache of an application using
the library if a valid ID is guessed."

Comment 1 Ville Skyttä 2007-06-14 21:11:56 UTC
CVE id's assigned: CVE-2007-3152, CVE-2007-3153

Comment 2 Jesse Keating 2007-06-27 14:46:01 UTC
change of subject to not trip up bodhi

Comment 3 Fedora Update System 2007-06-28 01:52:52 UTC
c-ares-1.4.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.